## libtool 1.5.6-5

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = .

pkglibdir = $(libdir)/libtool
pkgincludedir = $(includedir)/libtool
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i386-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS THANKS TODO config.guess config.sub \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/./libtool.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
aclocalDATA_INSTALL = $(INSTALL_DATA)
pkgdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(aclocal_DATA) $(pkgdata_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
pkgdatadir = ${datadir}/libtool
ACINCLUDE_M4_LIST = ./acinclude.m4 ./cdemo/acinclude.m4 ./pdemo/acinclude.m4 ./demo/acinclude.m4 ./depdemo/acinclude.m4 ./mdemo/acinclude.m4 ./mdemo2/acinclude.m4 ./tagdemo/acinclude.m4 ./f77demo/acinclude.m4
ACLOCAL = ${SHELL} /root/libtool-1.5.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /root/libtool-1.5.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /root/libtool-1.5.6/missing --run autoconf
AUTOHEADER = ${SHELL} /root/libtool-1.5.6/missing --run autoheader
AUTOMAKE = ${SHELL} /root/libtool-1.5.6/missing --run automake-1.8
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none

# We need to export these variables
CFLAGS = -g -O2
CONF_SUBDIRS = cdemo pdemo demo depdemo mdemo mdemo2 tagdemo f77demo
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"libtool\" -DPACKAGE_TARNAME=\"libtool\" -DPACKAGE_VERSION=\"1.5.6\" -DPACKAGE_STRING=\"libtool\ 1.5.6\" -DPACKAGE_BUGREPORT=\"bug-libtool@gnu.org\" -DPACKAGE=\"libtool\" -DVERSION=\"1.5.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
DEPDIR = .deps
DIST_MAKEFILE_LIST = cdemo/Makefile pdemo/Makefile demo/Makefile depdemo/Makefile mdemo/Makefile mdemo2/Makefile tagdemo/Makefile f77demo/Makefile 
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GCJ = gcj
GCJFLAGS = -g -O2
HAVE_CXX_FALSE = #
HAVE_CXX_TRUE = 
HAVE_F77_FALSE = #
HAVE_F77_TRUE = 
HAVE_GCJ_FALSE = #
HAVE_GCJ_TRUE = 
HAVE_RC_FALSE = 
HAVE_RC_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /root/libtool-1.5.6/missing --run makeinfo
NM = /usr/bin/nm -B
OBJDUMP = objdump
OBJEXT = o
PACKAGE = libtool
PACKAGE_BUGREPORT = bug-libtool@gnu.org
PACKAGE_NAME = libtool
PACKAGE_STRING = libtool 1.5.6
PACKAGE_TARNAME = libtool
PACKAGE_VERSION = 1.5.6
PATH_SEPARATOR = :
RANLIB = ranlib
RC = no
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TIMESTAMP = 
VERSION = 1.5.6
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = 
ac_ct_F77 = g77
ac_ct_GCJ = gcj
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_RC = no
ac_ct_STRIP = strip
aclocaldir = ${datadir}/aclocal
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i386-pc-linux-gnu
host_alias = 
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /root/libtool-1.5.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  libltdl
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = 1.3e gnu
BUILD_SUBDIRS = . libltdl doc tests
SUBDIRS = $(BUILD_SUBDIRS)
DIST_SUBDIRS = $(BUILD_SUBDIRS) $(CONF_SUBDIRS)
CPPLAGS = 
FLIBS = @FLIBS@
aclocal_macros = libtool.m4 ltdl.m4
EXTRA_DIST = $(aclocal_macros) bootstrap libtoolize.in ltmain.in \
	mkstamp ChangeLog.0 ChangeLog.1

CLEANFILES = libtool libtoolize ltmain.shT

# These are required by libtoolize and must be executable when installed.
# Since _SCRIPTS gets the program transform applied we make them
# executable by hand
pkgdata_DATA = config.guess config.sub ltmain.sh

# This macro file should be visible to Automake's aclocal.
aclocal_DATA = $(aclocal_macros)

# The standalone libtool script, and the libtool distributor.
bin_SCRIPTS = libtool libtoolize
TEXI2HTML = texi2html

# TSDEPS will be defined to TSDEPS_DIST at `make dist' time
TSDEPS = 
TSDEPS_DIST = ChangeLog libtool.m4
CVS = cvs # set it to `:' to avoid CVS operations
WGET = wget
WGETSGO = $(WGET) http://savannah.gnu.org/cgi-bin/viewcvs/~checkout~
FETCHFILES = \
./INSTALL \
./config.guess \
libltdl/config.guess \
./config.sub \
libltdl/config.sub \
doc/texinfo.tex

GPG = gpg # set it to `:' to avoid gpg operations
DIFF = diff
DIFF_OPTIONS = -ruNp
XDELTA = xdelta
XDELTA_OPTIONS = --pristine -9
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-aclocalDATA: $(aclocal_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(aclocaldir)" || $(mkdir_p) "$(DESTDIR)$(aclocaldir)"
	@list='$(aclocal_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(aclocalDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(aclocaldir)/$$f'"; \
	  $(aclocalDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(aclocaldir)/$$f"; \
	done

uninstall-aclocalDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(aclocal_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(aclocaldir)/$$f'"; \
	  rm -f "$(DESTDIR)$(aclocaldir)/$$f"; \
	done
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:

=== debian/changelog ===
libtool (1.5.6-5) unstable; urgency=low

  * Apply patch from upstream to allow five digits in version-info.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  8 Mar 2005 18:12:26 +0000

libtool (1.5.6-4) unstable; urgency=low

  * Correct accidental slide into a native package.
  * Apply patch to fix memory leak in libltdl.  Closes: #281929.
  * Usual postinst change to support only gcc 3.4 or gcc 4.0.  Closes: #281708.
  * Remove build-essential dependencies from libltdl3-dev.  Closes: #260298.

 -- Scott James Remnant <scott@netsplit.com>  Sat, 22 Jan 2005 14:17:59 +0000

libtool (1.5.6-3) unstable; urgency=low

  * Don't build-depend on gcj on netbsd-i386 or hurd-i386.  Closes: #260299.
  * Apply patch to correct problem with "-lfoo -Ldir -lbar" picking bar up
    from the same directory as foo, instead of in 'dir'

 -- Scott James Remnant <scott@netsplit.com>  Tue, 26 Oct 2004 10:37:41 +0100

libtool (1.5.6-2) unstable; urgency=low

  * Apply patch from Joel Baker to support Debian GNU/kNetBSD systems
    with *-*-netbsdelf-gnu triplet.  Closes: #244770.
  * Fail earlier on invalid version_type so we output a useful error
    message.  Closes: #247169.
  * Skip the Non-PIC test on x86-64, it can't handle Non-PIC code inside
    shared libraries.  Closes: #246746.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  6 Jul 2004 17:52:19 +0100

libtool (1.5.6-1) unstable; urgency=low

  * New upstream release.
    - Correctly installs libltdl.
    - Correctly provides shrext_cmds to libltdl.
      Closes: #242161, #242380, #242457, #242488, #243008, #243033, #243107,
              #243261.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 12 Apr 2004 18:17:59 +0100

libtool (1.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Apr 2004 19:10:11 +0100

libtool (1.5.2-2) unstable; urgency=low

  * Remove .svn check from debian/rules, no longer necessary.
  * Correctly pass CFLAGS to configure.
  * No longer dlopens libraries with RTLD_GLOBAL.  Closes: #195821, #221811.
  * Don't add the contents of dependency_libs to the link line when
    linking programs.  Closes: #191425, #199423, #238681.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 28 Mar 2004 20:08:59 +0100

libtool (1.5.2-1) unstable; urgency=low

  * New upstream release.

    This largely just included our patches from 1.5, there are a couple
    of additional bug fixes in this release though.
  * Move to a single libtool.info file.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 25 Jan 2004 14:45:02 +0000

libtool (1.5-9) unstable; urgency=low

  * Apply patch from Robert Millan <zeratul2@wanadoo.es> to complete
    support for GNU/kNetBSD.  Closes: #224440.
  * Apply keybuk-precious-files.patch (backported from 1.6) to add
    an option to prevent the removal of files from the temporary
    output directory.  Closes: #221420.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 11 Jan 2004 01:33:18 +0000

libtool (1.5-8) unstable; urgency=medium

  * Bring the various copyright files up to par.
  * Apply patch to infer tagged configuration in link mode with all
    compiler arguments available, rather than just the first.
  * Remove the mkdir -p option from when creating a temporary output
    directory to prevent symlink abuse.
  * Generate the info files on build as we need a certain --split-size
    for hysterical raisins.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Jan 2004 14:49:52 +0000

libtool (1.5-7) unstable; urgency=high

  * Add missing 'continue' line when acting on finding -pthread and friends
    in $deplibs.  This line of code is in all my copies of ltmain, it's in
    my test package of libtool, it's in the upstream CVS where I comitted it,
    it's in the patch file I made to do that and is in the 1.4.3 package that
    used the same patch; but for no apparent reason it vanished from the
    Debian 1.5-6 package!  Closes: #221467.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 18 Nov 2003 17:08:17 +0000

libtool (1.5-6) unstable; urgency=low

  * Error in the binary targets if a .svn directory exists, to prevent
    me accidentally shipping them in the diff.  To create binary packages
    from the svn source add TEST=yes to the debian/rules line.
    Closes: #219461.
  * Fix libtoolize so the cd command run when AC_CONFIG_AUX_DIR is used
    is shown when --dry-run is given.  Closes: #153699.
  * Yet Another(tm) patch to prevent hardcoding of dependency library
    rpaths, replacing the one in 1.5-3.  Any path listed in /etc/ld.so.conf
    is now not rpathed.  This is more palatable upstream.
  * The Ultimate -pthread Patch(tm), the previous change broke placing
    -pthread in libs' $deplibs.  This new patch treats the arguments the
    same for libraries and programs, and even honours them when found
    in dependency_libs but doesn't place them there first.
  * Infer near-default configuration when invoked as 'libtool cc' rather
    than complaining that we can't infer a tag.
  * Fix -static, -prefer-pic and -prefer-non-pic when used with a tagged
    configuration.  Closes: #217834.
  * Synchronise with upstream CVS.  The changes are:
    - MinGW reverted back to an objdump-base test.
    See changelog.gz for more detail.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 16 Nov 2003 15:10:15 +0000

libtool (1.5-5) unstable; urgency=low

  * Apply upstream patch to preserve --tag, --debug, --quiet and
    --silent arguments when invoking ourselves to perform
    relink or finish modes.  Closes: #214484.
  * Don't propogate -pthread and friends to dependency_libs, but also
    don't complain when we find it there.  This fixes the recent GNOME
    problems without breaking anything else (I hope).

 -- Scott James Remnant <scott@netsplit.com>  Wed, 29 Oct 2003 17:31:07 +0000

libtool (1.5-4) unstable; urgency=low

  * Remove Build-Depends-Indep placing texi2html and texinfo in


=== debian/control ===
Source: libtool
Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
Section: devel
Priority: optional
Maintainer: Scott James Remnant <scott@netsplit.com>
Standards-Version: 3.6.1

Package: libtool
Architecture: any
Section: devel
Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
Suggests: libtool-doc, autoconf (>> 2.50), automaken, g77 | fortran77-compiler, gcj
Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
Recommends: libltdl3-dev
Description: Generic library support script
 This is GNU libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++, Fortran and Java libraries.

Package: libtool-doc
Architecture: all
Section: doc
Conflicts: libtool1.4-doc
Description: Generic library support script
 This package contains the GNU libtool documentation.
 .
 GNU libtool is generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.

Package: libltdl3
Architecture: any
Section: libs
Conflicts: libltdl0.1
Replaces: libltdl0.1
Depends: ${shlibs:Depends}
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the run-time libltdl library.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen

Package: libltdl3-dev
Architecture: any
Section: libdevel
Suggests: libtool-doc
Recommends: libtool
Conflicts: libltdl0.1-dev, libltdl0-dev
Replaces: libltdl0.1-dev
Depends: libltdl3 (= ${Source-Version})
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the header files and static libraries for the
 libltdl package.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen

## libtool 1.5.6-6

=== Makefile ===
--- 
+++ 
@@ -176,7 +176,7 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build = i386-pc-linux-gnu
-build_alias = i386-linux
+build_alias = i386-linux-gnu
 build_cpu = i386
 build_os = linux-gnu
 build_vendor = pc
@@ -372,4 +372,3 @@
 	fi; test -z "$$fail"
 
 mostlyclean-recursive clean-recursive distclean-recursive \
-maintainer-clean-recursive:

=== debian/changelog ===
libtool (1.5.6-6) unstable; urgency=low

  * Orphan.

 -- Scott James Remnant <scott@netsplit.com>  Fri,  1 Apr 2005 01:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
 Section: devel
 Priority: optional
-Maintainer: Scott James Remnant <scott@netsplit.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.6.1
 
 Package: libtool

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian GNU Libtool package.
# Copyright © 2003, 2004 Scott James Remnant <scott@netsplit.com>

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# Use debhelper v4 features.
export DH_COMPAT=4


# libltdl needs to conform to policy
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Build libltdl the right way (tm)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
	make_check = yes
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	make_check = no
endif

# Tests fail with "Illegal instruction", need a ia64 guru
ifeq (ia64, $(DEB_HOST_ARCH))
	make_check = no
endif

# Takes too long
ifeq (m68k, $(DEB_HOST_ARCH))
	make_check = no
endif


build: build-stamp
build-stamp: configure
	dh_testdir

#	Fix some permissions
	chmod a+x tests/mdemo2-*.test

	./configure --prefix=/usr $(confflags) CFLAGS="$(CFLAGS)"
	$(MAKE)

#	The system libtool script in Debian must be able to support
#	invoking gcc as cc
	echo '# ### BEGIN LIBTOOL TAG CONFIG: BINCC' >> libtool
	sed -n -e '/^# ### BEGIN LIBTOOL CONFIG/,/^# ### END LIBTOOL CONFIG/p' < libtool \
		| grep -B 2 -A 1 -e '^LTCC=' -e '^CC=' \
		| sed -e 's/gcc/cc/g' >> libtool
	echo '# ### END LIBTOOL TAG CONFIG: BINCC' >> libtool
	echo >> libtool

#	The system libtool script in Debian must be able to support
#	invoking g++ both by the g++ and c++ names.
	sed -n -e '/^# ### BEGIN LIBTOOL TAG CONFIG: CXX$$/,/^# ### END LIBTOOL TAG CONFIG: CXX$$/p' < libtool \
		| sed -e 's/CONFIG: CXX/CONFIG: BINCXX/g' \
		      -e 's/g++/c++/g' >> libtool
	echo >> libtool

#	Add our BINCC and BINCXX tags
	sed -e 's/^\(available_tags\)=\"\(.*\)\"/\1=\"\2 BINCC BINCXX\"/' \
		< libtool > libtool.tags
	mv libtool.tags libtool

#	Don't hardcode gcc path information, and don't use nostdlib
	sed -e 's/^\(predep_objects\)=.*/\1=""/' \
	    -e 's/^\(postdep_objects\)=.*/\1=""/' \
	    -e 's/^\(compiler_lib_search_path\)=.*/\1=""/' \
	    -e 's:^\(sys_lib_search_path_spec\)=.*:\1="/lib/ /usr/lib/ /usr/X11R6/lib/ /usr/local/lib/":' \
	    -e 's/^\(archive_cmds=\".*\) -nostdlib /\1 /' \
	    -e 's/^\(archive_expsym_cmds=\".*\) -nostdlib /\1 /' \
	    < libtool > libtool.gcc-indep
	mv libtool.gcc-indep libtool

#	Make libtool executable again
	chmod 755 libtool

#	This generated HTML page goes into libtool-doc.
	cd doc && makeinfo libtool.texi
	cd doc && texi2html -monolithic libtool.texi

#	These go into the libtool-doc `examples' directory.
	GZIP=--best tar zcf ./cdemo.tar.gz cdemo
	GZIP=--best tar zcf ./demo.tar.gz demo
	GZIP=--best tar zcf ./mdemo.tar.gz mdemo
	GZIP=--best tar zcf ./mdemo2.tar.gz mdemo2
	GZIP=--best tar zcf ./pdemo.tar.gz pdemo
	GZIP=--best tar zcf ./depdemo.tar.gz depdemo
	GZIP=--best tar zcf ./f77demo.tar.gz f77demo
	GZIP=--best tar zcf ./tagdemo.tar.gz tagdemo

ifeq ($(make_check), yes)
#	Now make sure it works
	$(MAKE) check
endif

	touch build-stamp

clean: configure
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -k distclean
	rm -f doc/*.html *.tar.gz
	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf debian/libtool

	dh_clean

# This isn't the rule to *run* the configure script (although it does),
# this is the rule to *create* it along with all the other autotools debris.
#
# Please don't file bugs because of missing build dependencies on the
# commands below.  This rule is intended for the package maintainer only
# and as all Debian libtool packages are shipped with all the gunk
# this rule won't get run unless you either delete your "configure" script
# or run "debian/rules configure" manually.  In either case, you should
# know what you're doing.
configure:
	touch ltmain.sh libltdl/ltmain.sh

	aclocal -I .
	automake -a -c
	cp -f /usr/share/misc/config.{guess,sub} .

	cd libltdl && \
		aclocal -I .. && \
		autoheader2.50 && \
		automake -a -c && \
		cp -f /usr/share/misc/config.{guess,sub} . && \
		autoconf2.50

#	These aren't &&d together because later versions of automake
#	tend to error with an exit code after making Makefile.in
#	because they break the rules a bit.
	for sub in demo cdemo depdemo f77demo mdemo mdemo2 pdemo tagdemo; do \
		cd $$sub; \
		aclocal -I ..; \
		autoheader2.50; \
		automake --foreign -a -c; \
		autoconf2.50; \
		cd ..; \
	done

	rm -f ltmain.sh libltdl/ltmain.sh
	autoconf2.50

#	Make sure we include ltmain.sh in the package.
	./configure --prefix=/usr $(confflags)
	$(MAKE) ltmain.sh
	rm -f acinclude.m4 */acinclude.m4
	
# Make it as clean as svn can make it.  Reverses "debian/rules configure"
# provided you've just checked this out of the subversion repository.
svnclean: clean
	for dir in . cdemo debian demo depdemo depdemo/l* doc f77demo libltdl \
		   mdemo mdemo2 pdemo tagdemo tests; do \
		(cd $$dir && rm -rf `svn propget svn:ignore`); \
	done

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_movefiles -i

#	These get created during installation
	cd debian/tmp/usr/share/libtool && rm -f config.guess config.sub

	dh_installdocs -i
	dh_installinfo -plibtool-doc
	dh_installexamples -i
	dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_movefiles -a

#	Remove the extra copy of COPYING.LIB, and just link to shared one.
	cd debian/libtool/usr/share/libtool/libltdl && \
		rm COPYING.LIB && \
		ln -sf ../../common-licenses/LGPL COPYING.LIB

	dh_installdocs -plibtool
	dh_installdocs -plibltdl3
	mkdir -p debian/libltdl3-dev/usr/share/doc
	cd debian/libltdl3-dev/usr/share/doc && ln -sf libltdl3 libltdl3-dev
	dh_installman -plibtool debian/libtool.1 debian/libtoolize.1
	dh_installchangelogs -plibtool ChangeLog
	dh_installchangelogs -plibltdl3 ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libltdl3 (>= 1.5.2-2)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean svnclean binary-indep binary-arch binary install

## libtool 1.5.6-6osso

=== debian/changelog ===
libtool (1.5.6-6osso) unstable; urgency=low

  * unneeded build-dep to gcj removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun,  9 Apr 2006 11:08:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libtool
-Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler, gcj [!hppa !mips !mipsel !netbsd-i386 !hurd-i386]
+Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>

## libtool 1.5.26-3maemo1

=== debian/changelog ===
libtool (1.5.26-3maemo1) unstable; urgency=low

  * Removed build dependencies to gcj, gfortran and automake1.0
  * Set maintainer to integration@maemo.org
  * Don't run tests

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 22 Apr 2008 11:57:42 +0300

libtool (1.5.26-3) unstable; urgency=low

  * Mips/mipsel now needs -fPIC for shared libraries, so change
    the list in demo-nopic.test to reflect that.  (Closes: #474162)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 15:29:47 +0000

libtool (1.5.26-2) unstable; urgency=low

  * Stop (build) depending / suggesting g77 (Closes: #463744, #462100)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 30 Mar 2008 16:35:15 +0200

libtool (1.5.26-1) unstable; urgency=low

  * New upstream release
  * Update copyright to reflect that the documentation is under
    GFDL and changed to version 1.2.
  * Change libltdl3-dev Depeneds to use ${binary:Version}
    instead of ${Source-Version}
  * Check for precense of Makefile instead of ignoring failures
    from make distclean, as suggested by lintian.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Feb 2008 12:09:01 +0000

libtool (1.5.24-2) unstable; urgency=low

  * armel doesn't support fortran77, so disable it. (Closes: #441751)
  * Disable java on arm since it's unavailable.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 27 Nov 2007 20:39:34 +0100

libtool (1.5.24-1) unstable; urgency=low

  * New upstream release (Closes: #432139):
    - Remove kbsd patch, merged upstream
    - Support -export-symbols on hurd (Closes: #430973)
    - Support -Wl,--version-script on hurd (Closes: #407079)
    - Support multiple libs with the same name (Closes: #348558)
  * Change patch system from dpatch to quilt.
  * Use gcj on all arches execpt hurd
  * Switch to automake1.10
  * Change Standards-Version to 3.7.2.2, no changes required.
  * Change DH_COMPAT to a debian/compat file with 4 in it.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 11 Jul 2007 20:18:34 +0200

libtool (1.5.22-4) unstable; urgency=low

  * Change gcj build dependency to not !kfreebsd-amd64
    (Closes: #356388)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 19:33:24 +0100

libtool (1.5.22-3) unstable; urgency=low

  * Properly set link_all_deplibs on k*bsd*-gnu.  The previous
    patch for kfreebsd didn't set it in all cases.  Patch from
    Aurelien Jarno <aurel32@debian.org> (Closes: #355789)
  * Make k*bsd*-gnu do the same as on Linux in all cases.  It
    should behave the same.  Based on patch by Aurelien Jarno.
  * Don't build depend on gcj on kfreebsd-amd64
  * Rename bsd.dpatch to netbsdelf.dpatch, since it now
    only adds support for netbsdelf*-gnu.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 16:11:11 +0100

libtool (1.5.22-2) unstable; urgency=low

  * Remove a "--" line from the generate tag for BINCC.  It
    resulted in "--: command not found" error.  Thanks to 
    John V. Belmonte for reporting it and Ralf Wildenhues
    for the fix.  (Closes: #345607)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon,  9 Jan 2006 16:06:58 +0100

libtool (1.5.22-1) unstable; urgency=low

  * New upstream release
    - libtoolize --ltdl now fails if libltdl3-dev is not installed. 
      (Closes: #344756)
  * Also set link_all_deplibs to no on kfreebsd*-gnu.  Patch from
    Aurelien Jarno <aurel32@debian.org>  (Closes: #341978)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Dec 2005 13:36:48 +0100

libtool (1.5.20-2) unstable; urgency=low

  * Add a conflict on libtool1.4 for libltdl3-dev.  They have overlapping
    files and libtool1.4 should get removed anyway.  (Closes: #329697)
  * Put usr/share/libtool/libltdl in the libltdl3-dev, so libtoolize --ltdl
    works again
  * Don't build-depend gcj on kfreebsd-i386, they don't have it.
    (Closes: #329703)
  * Change Standards-Version to 3.6.2, no changes.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Sep 2005 16:16:17 +0200

libtool (1.5.20-1) unstable; urgency=low

  * New maintainer (Closes: #302484)
  * New upstream release (Closes: #265005)
    - Configure test to detect -fPIC support in combination with other CFLAGS
      could fail to detect if it's supported. (1.5.16)  (Closes: #219490)
    - ia64 tests should have been fix, run them again. (1.5.10)
    - Fix .libs/.libs/libfoo.so link problem when linking against an other lib
      from the same package. (1.5.8)
  * Enable gcj on hppa again since gcj-4.0 is available on it.
  * Enable the test suite on m68k again, slow is not a good reason not to run
    it.
  * Move ltdl.m4 from libtool to libltdl-dev package, where it belongs.
    Add a conflicts/replaces from libltdl-dev to the libtool package.
  * Remove usr/share/libtool/libltdl from the libtool package
  * Make the libtool.m4 in /usr/share/libtool a symlink to the one in 
    /usr/share/aclocal.
  * libltdl3-dev.preinst: No longer remove the old directory on upgrade.
    libltdl3-dev.preinst does nothing now so remove the file.
  * libtool.postinst: We don't run ltconfig anymore, so don't play with
    cc's alternatives.
  * Put the config.guess and config.sub symlinks in the package instead
    of creating them in the libtool.postinst.  Remove the libtool.postinst
    and libtool.prerm scripts since they do nothing now.
  * Add AUTHORS, README, THANKS and TODO in the docs dir.
  * Remove obsolete conflicts/replaces for libltdl0.1 and libltdl0,
    it's not even in woody.
  * Split out patches, and convert to using dpatch
  * Always do a full bootstrap of the configure scripts before
    building so I only have to patch 1 file.
  * Embed the debian version in libtool.m4 and ltmain.in/sh
  * Add a watch file.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 14 Sep 2005 21:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: libtool
-Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, g77 | fortran77-compiler
+Build-Depends: debhelper (>= 4.0), texi2html, texinfo, file, autoconf, autotools-dev, quilt
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.6.1
+Maintainer: Kurt Roeckx <kurt@roeckx.be>
+Standards-Version: 3.7.2.2
 
 Package: libtool
 Architecture: any
 Section: devel
 Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
-Suggests: libtool-doc, autoconf (>> 2.50), automaken, g77 | fortran77-compiler, gcj
+Suggests: libtool-doc, autoconf (>> 2.50), automaken, gcj
 Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4
 Recommends: libltdl3-dev
 Description: Generic library support script
@@ -39,8 +39,6 @@
 Package: libltdl3
 Architecture: any
 Section: libs
-Conflicts: libltdl0.1
-Replaces: libltdl0.1
 Depends: ${shlibs:Depends}
 Description: A system independent dlopen wrapper for GNU libtool
  This package contains the run-time libltdl library.
@@ -62,9 +60,9 @@
 Section: libdevel
 Suggests: libtool-doc
 Recommends: libtool
-Conflicts: libltdl0.1-dev, libltdl0-dev
-Replaces: libltdl0.1-dev
-Depends: libltdl3 (= ${Source-Version})
+Conflicts: libtool (<< 1.5.20), libtool1.4
+Replaces: libtool (<< 1.5.20)
+Depends: libltdl3 (= ${binary:Version})
 Description: A system independent dlopen wrapper for GNU libtool
  This package contains the header files and static libraries for the
  libltdl package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian GNU Libtool package.
# Copyright © 2003, 2004 Scott James Remnant <scott@netsplit.com>

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEBIAN_VERSION=$(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))

# libltdl needs to conform to policy
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Build libltdl the right way (tm)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

make_check = no

# Takes too long
#ifeq (m68k, $(DEB_HOST_ARCH))
#	make_check = no
#endif

patch: patch-stamp
patch-stamp:
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch patch-stamp

unpatch:
	QUILT_PATCHES=debian/patches quilt pop -a || test $$? = 2
	rm -rf patch-stamp debian/patched

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	dh_clean

	[ ! -f Makefile ] || $(MAKE) -k distclean
	rm -f config.guess config.sub
	rm -f libltdl/config.guess libltdl/config.sub
	rm -f doc/*.html *.tar.gz
	rm -f doc/libtool.info
	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -f mkinstalldirs
	rm -rf debian/libtool
	rm -f doc/stamp-vti
	rm -f doc/texinfo.tex
	rm -f doc/version.texi
	find . -name acinclude.m4 |xargs rm -f
	find . -name aclocal.m4 |xargs rm -f
	find . -name ltmain.sh |xargs rm -f
	find . -name configure |xargs rm -f
	find . -name libtool |xargs rm -f
	find . -name Makefile |xargs rm -f
	find . -name Makefile.in |xargs rm -f
	find . -name .in | xargs rm -f
# Undo the version change if there is any.
	sed -i -e 's/^# serial \([0-9]*\) .*AC_PROG_LIBTOOL/# serial \1 AC_PROG_LIBTOOL/' libtool.m4
	sed -i -e 's/^VERSION.*/VERSION=@VERSION@/' ltmain.in

config: config-stamp
Makefile: config-stamp
config-stamp: patch-stamp
	dh_testdir

#	These go into the libtool-doc `examples' directory.
#	Create them while we still have a clean source tree
	GZIP=--best tar zcf ./cdemo.tar.gz cdemo
	GZIP=--best tar zcf ./demo.tar.gz demo
	GZIP=--best tar zcf ./mdemo.tar.gz mdemo
	GZIP=--best tar zcf ./mdemo2.tar.gz mdemo2
	GZIP=--best tar zcf ./pdemo.tar.gz pdemo
	GZIP=--best tar zcf ./depdemo.tar.gz depdemo
	GZIP=--best tar zcf ./f77demo.tar.gz f77demo
	GZIP=--best tar zcf ./tagdemo.tar.gz tagdemo

	sed -i -e 's/^# serial \([0-9]*\) .*AC_PROG_LIBTOOL/# serial \1 Debian $(DEBIAN_VERSION) AC_PROG_LIBTOOL/' libtool.m4
	sed -i -e 's/^VERSION.*/VERSION="@VERSION@ Debian $(DEBIAN_VERSION)"/' ltmain.in
	./bootstrap
	./configure --prefix=/usr $(confflags) CFLAGS="$(CFLAGS)"
	touch config-stamp


build: build-stamp
build-stamp: config-stamp
	dh_testdir

#	Fix some permissions
	chmod a+x tests/mdemo2-*.test

	$(MAKE)

#	The system libtool script in Debian must be able to support
#	invoking gcc as cc
	echo '# ### BEGIN LIBTOOL TAG CONFIG: BINCC' >> libtool
	sed -n -e '/^# ### BEGIN LIBTOOL CONFIG/,/^# ### END LIBTOOL CONFIG/p' < libtool \
		| grep -B 2 -A 1 -e '^LTCC=' -e '^CC=' \
		| sed '/^--/d;s/gcc/cc/g' >> libtool
	echo '# ### END LIBTOOL TAG CONFIG: BINCC' >> libtool
	echo >> libtool

#	The system libtool script in Debian must be able to support
#	invoking g++ both by the g++ and c++ names.
	sed -n -e '/^# ### BEGIN LIBTOOL TAG CONFIG: CXX$$/,/^# ### END LIBTOOL TAG CONFIG: CXX$$/p' < libtool \
		| sed -e 's/CONFIG: CXX/CONFIG: BINCXX/g' \
		      -e 's/g++/c++/g' >> libtool
	echo >> libtool

#	Add our BINCC and BINCXX tags
	sed -e 's/^\(available_tags\)=\"\(.*\)\"/\1=\"\2 BINCC BINCXX\"/' \
		< libtool > libtool.tags
	mv libtool.tags libtool

#	Don't hardcode gcc path information, and don't use nostdlib
	sed -e 's/^\(predep_objects\)=.*/\1=""/' \
	    -e 's/^\(postdep_objects\)=.*/\1=""/' \
	    -e 's/^\(compiler_lib_search_path\)=.*/\1=""/' \
	    -e 's:^\(sys_lib_search_path_spec\)=.*:\1="/lib/ /usr/lib/ /usr/X11R6/lib/ /usr/local/lib/":' \
	    -e 's/^\(archive_cmds=\".*\) -nostdlib /\1 /' \
	    -e 's/^\(archive_expsym_cmds=\".*\) -nostdlib /\1 /' \
	    < libtool > libtool.gcc-indep
	mv libtool.gcc-indep libtool

#	Make libtool executable again
	chmod 755 libtool

#	This generated HTML page goes into libtool-doc.
	cd doc && makeinfo libtool.texi
	cd doc && texi2html -monolithic libtool.texi


ifeq ($(make_check), yes)
#	Now make sure it works
	$(MAKE) check
endif

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_movefiles -i

	dh_installdocs -i
	dh_installinfo -plibtool-doc
	dh_installexamples -i
	dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_movefiles -a

	# Create symlinks to the one in autotools-dev
	ln -s ../misc/config.guess debian/libtool/usr/share/libtool
	ln -s ../misc/config.sub debian/libtool/usr/share/libtool

	# Create a symlink to the one in /usr/share/aclocal
	ln -s ../aclocal/libtool.m4 debian/libtool/usr/share/libtool

	dh_installdocs -plibtool
	dh_installdocs -plibltdl3
	mkdir -p debian/libltdl3-dev/usr/share/doc
	cd debian/libltdl3-dev/usr/share/doc && ln -sf libltdl3 libltdl3-dev
	dh_installman -plibtool debian/libtool.1 debian/libtoolize.1
	dh_installchangelogs -plibtool ChangeLog
	dh_installchangelogs -plibltdl3 ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libltdl3 (>= 1.5.2-2)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean config patch unpatch binary-indep binary-arch binary install
